void save_sma()
{
		sma_save = fopen(filepfad,"w+b");
		if(sma_save == NULL){error("Error SMA Write!");}
		fwrite(hsmadata, sizeof(SMA_STRUC_HEADER), 1, sma_save);
		fwrite(sma_data2, sizeof(SMA_STRUC_DATEN),  65536, sma_save);
		fwrite(smamb, sizeof(SMA_MONSTER_BLOCK_COUNT),  1, sma_save);
		fwrite(monster_data, sizeof(SMA_MONSTER_DATEN),  smamb.monster_block_count, sma_save);
		fclose(sma_save);
		LBG_destroy_window (aas_window);
		error("Done!");
}